summaryrefslogtreecommitdiffstats
path: root/source/l/apr
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/apr
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/apr')
-rwxr-xr-xsource/l/apr/apr.SlackBuild11
-rw-r--r--source/l/apr/apr.apr_ring.h.gcc45.diff13
2 files changed, 20 insertions, 4 deletions
diff --git a/source/l/apr/apr.SlackBuild b/source/l/apr/apr.SlackBuild
index 65098b062..2463b5a29 100755
--- a/source/l/apr/apr.SlackBuild
+++ b/source/l/apr/apr.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-$(echo apr-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,6 +62,9 @@ rm -rf apr-$VERSION
tar xvf $CWD/apr-$VERSION.tar.bz2 || exit 1
cd apr-$VERSION
+# Patch to fix aliasing issue exposed by gcc-4.5.1:
+zcat $CWD/apr.apr_ring.h.gcc45.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,7 +79,7 @@ CFLAGS="$SLKCFLAGS" \
--with-installbuilddir=/usr/lib${LIBDIRSUFFIX}/apr-${VERSION}/build-1 \
--disable-static \
--with-devrandom=/dev/urandom \
- $ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make dox || exit 1
@@ -87,7 +90,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/apr-$VERSION
cp -a \
- LICENSE NOTICE README.dev \
+ LICENSE NOTICE README* \
$PKG/usr/doc/apr-$VERSION
# If there's a CHANGES file, installing at least part of the recent history
diff --git a/source/l/apr/apr.apr_ring.h.gcc45.diff b/source/l/apr/apr.apr_ring.h.gcc45.diff
new file mode 100644
index 000000000..c298cf4e8
--- /dev/null
+++ b/source/l/apr/apr.apr_ring.h.gcc45.diff
@@ -0,0 +1,13 @@
+--- ./include/apr_ring.h.orig 2008-06-01 19:12:00.000000000 -0500
++++ ./include/apr_ring.h 2011-02-12 13:17:41.000000000 -0600
+@@ -90,8 +90,8 @@
+ */
+ #define APR_RING_HEAD(head, elem) \
+ struct head { \
+- struct elem *next; \
+- struct elem *prev; \
++ struct elem * volatile next; \
++ struct elem * volatile prev; \
+ }
+
+ /**